post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method is used to withdraw multi-factor authentication for the user. If value is passed as "all" for login id then multi-factor authentication will be withdrawn for all the users under the ADMIN, including the admin, otherwise if a specific user login id is passed then multi-factor will be withdrawn only to the specified user. It requires only the login id of the user.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| loginid | Login ID of the user or "all" to withdraw multi-factor authentication for all users under the ADMIN | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.MFA.withdraw(
loginid="test_login"
)
print(response)
client.close()Requires Python 3.9 or later.